
QGIS Application - Bug report #13156

Add qwtpolar-1.1 embedded copy for Qwt >= 6.1 support

2015-07-26 03:15 AM - Bas Couwenberg

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21219

Description

Ubuntu has shipped with Qwt 6.1 since vivid [1], and the Debian maintainers plan to update to Qwt 6.1.2 [2] in the near future too.

The embedded copies for qwtpolar-0.1 & qwtpolar-1.0 don't support Qwt > 6.0.0, qwtpolar-1.1 does [3].

Related issues:

Related to QGIS Application - Bug report # 7495: compile error with Qwt 6.1 Closed 2013-04-02

History

#1 - 2015-08-16 11:31 AM - Jürgen Fischer

vivid also ships Qwt 5.2 (see http://dash.orfeo-toolbox.org/buildSummary.php?buildid=195327).   That what the vivid nightlies use.

#2 - 2016-03-12 10:22 AM - Bas Couwenberg

Debian has transitioned to Qwt 6.1 and the Ubuntu release after xenial is likely to follow.

The Qwt 6.1 packages are required for Qt5 support.

#3 - 2016-03-17 05:53 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in commit:a9cb990 (and commit:c3881d4)
https://launchpad.net/ubuntu/+source/qwt
https://tracker.debian.org/pkg/qwt
http://sourceforge.net/p/qwtpolar/code/182/log/?path=/trunk/qwtpolar
http://dash.orfeo-toolbox.org/buildSummary.php?buildid=195327

